ghc-7.0.3: The GHC API

LlvmCodeGen.Ppr

Description

Pretty print helpers for the LLVM Code generator.

Synopsis

- pprLlvmHeader :: Doc
- pprLlvmCmmTop :: LlvmEnv -> Int -> LlvmCmmTop -> (Doc, [LlvmVar])
- pprLlvmData :: LlvmData -> Doc
- infoSection :: String
- iTableSuf :: String

# Documentation

pprLlvmHeader :: Doc

Header code for LLVM modules

pprLlvmCmmTop :: LlvmEnv -> Int -> LlvmCmmTop -> (Doc, [LlvmVar])

Pretty print LLVM code

pprLlvmData :: LlvmData -> Doc

Pretty print LLVM data code

infoSection :: String

The section we are putting info tables and their entry code into

iTableSuf :: String

We generate labels for info tables by converting them to the same label as for the entry code but adding this string as a suffix.